### Class

# WebKit BackForwardListItem

unstable since: 6.0

#### Description [src]

    final class WebKit.BackForwardListItem : GObject.InitiallyUnowned
    {
      /* No available fields */
    }

One item of the `WebKitBackForwardList`.

A history item is part of the `WebKitBackForwardList` and consists out of a title and a URI.

Available since: 6.0

#### Ancestors

- GInitiallyUnowned
- GObject

#### Instance methods

###### webkit_back_forward_list_item_get_original_uri

Obtain the original URI of the item.

unstable since: 6.0

###### webkit_back_forward_list_item_get_title

Obtain the title of the item.

unstable since: 6.0

###### webkit_back_forward_list_item_get_uri

Obtain the URI of the item.

unstable since: 6.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitBackForwardListItemClass {
      GInitiallyUnownedClass parent_class;

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`
  No description available.